#if !defined(__RPI_SMI_H__)
#define __RPI_SMI_H__

#include "../common.h"
#include <stdint.h>

void smi_setup(int channels, int ns, int setup, int strobe, int hold, MEM_MAP *mp, int nsamp,
               uint8_t **txdata);

void smi_close(int channels);

void start_smi(MEM_MAP *mp);

#endif // __RPI_SMI_H__